---
id: engine-rn-next
title: React Native Next Engine
sidebar_label: React Native Next
---

<img src="https://renative.org/img/ic_engine.png" width=50 height=50 />

<!--AUTO_GENERATED_START-->


## Overview

React native based engine with web transpiler provided by react-native-web and render by nextjs

## Supported Platforms

[web](platforms/web.md), [chromecast](platforms/chromecast.md)

## Required Plugins

[react](../plugins#react), [react-art](../plugins#react-art), [react-dom](../plugins#react-dom), [react-native](../plugins#react-native), [react-native-web](../plugins#react-native-web), [next](../plugins#next)

## Required NPM Packages







## Extensions

### web

| Extension | Priority  |
      | --------- | :-------: |
| `engine-rn-next.jsx` | 1 |
| `engine-rn-next.js` | 2 |
| `engine-rn-next.tsx` | 3 |
| `engine-rn-next.ts` | 4 |
| `web.browser.rnx.jsx` | 5 |
| `web.browser.jsx` | 6 |
| `web.browser.rnx.js` | 7 |
| `web.browser.js` | 8 |
| `web.browser.rnx.tsx` | 9 |
| `web.browser.tsx` | 10 |
| `web.browser.rnx.ts` | 11 |
| `web.browser.ts` | 12 |
| `browser.rnx.jsx` | 13 |
| `browser.jsx` | 14 |
| `browser.rnx.js` | 15 |
| `browser.js` | 16 |
| `browser.rnx.tsx` | 17 |
| `browser.tsx` | 18 |
| `browser.rnx.ts` | 19 |
| `browser.ts` | 20 |
| `server.next.rnx.jsx` | 21 |
| `server.next.jsx` | 22 |
| `server.next.rnx.js` | 23 |
| `server.next.js` | 24 |
| `server.next.rnx.tsx` | 25 |
| `server.next.tsx` | 26 |
| `server.next.rnx.ts` | 27 |
| `server.next.ts` | 28 |
| `server.web.rnx.jsx` | 29 |
| `server.web.jsx` | 30 |
| `server.web.rnx.js` | 31 |
| `server.web.js` | 32 |
| `server.web.rnx.tsx` | 33 |
| `server.web.tsx` | 34 |
| `server.web.rnx.ts` | 35 |
| `server.web.ts` | 36 |
| `next.rnx.jsx` | 37 |
| `next.jsx` | 38 |
| `next.rnx.js` | 39 |
| `next.js` | 40 |
| `next.rnx.tsx` | 41 |
| `next.tsx` | 42 |
| `next.rnx.ts` | 43 |
| `next.ts` | 44 |
| `browser.web.rnx.jsx` | 45 |
| `browser.web.jsx` | 46 |
| `browser.web.rnx.js` | 47 |
| `browser.web.js` | 48 |
| `browser.web.rnx.tsx` | 49 |
| `browser.web.tsx` | 50 |
| `browser.web.rnx.ts` | 51 |
| `browser.web.ts` | 52 |
| `web.rnx.jsx` | 53 |
| `web.jsx` | 54 |
| `web.rnx.js` | 55 |
| `web.js` | 56 |
| `web.rnx.tsx` | 57 |
| `web.tsx` | 58 |
| `web.rnx.ts` | 59 |
| `web.ts` | 60 |
| `jsx` | 61 |
| `js` | 62 |
| `tsx` | 63 |
| `ts` | 64 |
| `mjs` | 65 |
| `json` | 66 |
| `wasm` | 67 |
### chromecast

| Extension | Priority  |
      | --------- | :-------: |
| `engine-rn-next.jsx` | 1 |
| `engine-rn-next.js` | 2 |
| `engine-rn-next.tsx` | 3 |
| `engine-rn-next.ts` | 4 |
| `chromecast.tv.rnx.jsx` | 5 |
| `chromecast.tv.jsx` | 6 |
| `chromecast.tv.rnx.js` | 7 |
| `chromecast.tv.js` | 8 |
| `chromecast.tv.rnx.tsx` | 9 |
| `chromecast.tv.tsx` | 10 |
| `chromecast.tv.rnx.ts` | 11 |
| `chromecast.tv.ts` | 12 |
| `web.tv.rnx.jsx` | 13 |
| `web.tv.jsx` | 14 |
| `web.tv.rnx.js` | 15 |
| `web.tv.js` | 16 |
| `web.tv.rnx.tsx` | 17 |
| `web.tv.tsx` | 18 |
| `web.tv.rnx.ts` | 19 |
| `web.tv.ts` | 20 |
| `tv.rnx.jsx` | 21 |
| `tv.jsx` | 22 |
| `tv.rnx.js` | 23 |
| `tv.js` | 24 |
| `tv.rnx.tsx` | 25 |
| `tv.tsx` | 26 |
| `tv.rnx.ts` | 27 |
| `tv.ts` | 28 |
| `chromecast.rnx.jsx` | 29 |
| `chromecast.jsx` | 30 |
| `chromecast.rnx.js` | 31 |
| `chromecast.js` | 32 |
| `chromecast.rnx.tsx` | 33 |
| `chromecast.tsx` | 34 |
| `chromecast.rnx.ts` | 35 |
| `chromecast.ts` | 36 |
| `tv.web.rnx.jsx` | 37 |
| `tv.web.jsx` | 38 |
| `tv.web.rnx.js` | 39 |
| `tv.web.js` | 40 |
| `tv.web.rnx.tsx` | 41 |
| `tv.web.tsx` | 42 |
| `tv.web.rnx.ts` | 43 |
| `tv.web.ts` | 44 |
| `web.rnx.jsx` | 45 |
| `web.jsx` | 46 |
| `web.rnx.js` | 47 |
| `web.js` | 48 |
| `web.rnx.tsx` | 49 |
| `web.tsx` | 50 |
| `web.rnx.ts` | 51 |
| `web.ts` | 52 |
| `jsx` | 53 |
| `js` | 54 |
| `tsx` | 55 |
| `ts` | 56 |
| `mjs` | 57 |
| `json` | 58 |
| `wasm` | 59 |



<!--AUTO_GENERATED_END-->
