---
id: version-0.32-engine-rn-electron
title: React Native Electron Engine
sidebar_label: React Native Electron
original_id: engine-rn-electron
---

<img src="https://renative.org/img/ic_engine.png" width=50 height=50 />

<!--AUTO_GENERATED_START-->


## Overview

React native based engine with web transpiler provided by react-native-web and native desktop wrapper provided by electron

## Supported Platforms

[macos](platforms/macos.md), [windows](platforms/windows.md)

## Required Plugins

[react](../plugins#react), [react-art](../plugins#react-art), [react-dom](../plugins#react-dom), [react-native](../plugins#react-native), [react-native-web](../plugins#react-native-web), [@react-native-community/cli-platform-ios](../plugins#react-native-communitycli-platform-ios), [@react-native-community/cli](../plugins#react-native-communitycli)

## Required NPM Packages







## Extensions

### macos

| Extension | Priority  |
      | --------- | :-------: |
| `engine-rn-electron.jsx` | 1 |
| `engine-rn-electron.js` | 2 |
| `engine-rn-electron.tsx` | 3 |
| `engine-rn-electron.ts` | 4 |
| `macos.desktop.rne.jsx` | 5 |
| `macos.desktop.jsx` | 6 |
| `macos.desktop.rne.js` | 7 |
| `macos.desktop.js` | 8 |
| `macos.desktop.rne.tsx` | 9 |
| `macos.desktop.tsx` | 10 |
| `macos.desktop.rne.ts` | 11 |
| `macos.desktop.ts` | 12 |
| `desktop.rne.jsx` | 13 |
| `desktop.jsx` | 14 |
| `desktop.rne.js` | 15 |
| `desktop.js` | 16 |
| `desktop.rne.tsx` | 17 |
| `desktop.tsx` | 18 |
| `desktop.rne.ts` | 19 |
| `desktop.ts` | 20 |
| `macos.rne.jsx` | 21 |
| `macos.jsx` | 22 |
| `macos.rne.js` | 23 |
| `macos.js` | 24 |
| `macos.rne.tsx` | 25 |
| `macos.tsx` | 26 |
| `macos.rne.ts` | 27 |
| `macos.ts` | 28 |
| `desktop.web.rne.jsx` | 29 |
| `desktop.web.jsx` | 30 |
| `desktop.web.rne.js` | 31 |
| `desktop.web.js` | 32 |
| `desktop.web.rne.tsx` | 33 |
| `desktop.web.tsx` | 34 |
| `desktop.web.rne.ts` | 35 |
| `desktop.web.ts` | 36 |
| `electron.rne.jsx` | 37 |
| `electron.jsx` | 38 |
| `electron.rne.js` | 39 |
| `electron.js` | 40 |
| `electron.rne.tsx` | 41 |
| `electron.tsx` | 42 |
| `electron.rne.ts` | 43 |
| `electron.ts` | 44 |
| `web.rne.jsx` | 45 |
| `web.jsx` | 46 |
| `web.rne.js` | 47 |
| `web.js` | 48 |
| `web.rne.tsx` | 49 |
| `web.tsx` | 50 |
| `web.rne.ts` | 51 |
| `web.ts` | 52 |
| `jsx` | 53 |
| `js` | 54 |
| `tsx` | 55 |
| `ts` | 56 |
| `mjs` | 57 |
| `json` | 58 |
| `wasm` | 59 |
### windows

| Extension | Priority  |
      | --------- | :-------: |
| `engine-rn-electron.jsx` | 1 |
| `engine-rn-electron.js` | 2 |
| `engine-rn-electron.tsx` | 3 |
| `engine-rn-electron.ts` | 4 |
| `windows.desktop.rne.jsx` | 5 |
| `windows.desktop.jsx` | 6 |
| `windows.desktop.rne.js` | 7 |
| `windows.desktop.js` | 8 |
| `windows.desktop.rne.tsx` | 9 |
| `windows.desktop.tsx` | 10 |
| `windows.desktop.rne.ts` | 11 |
| `windows.desktop.ts` | 12 |
| `desktop.rne.jsx` | 13 |
| `desktop.jsx` | 14 |
| `desktop.rne.js` | 15 |
| `desktop.js` | 16 |
| `desktop.rne.tsx` | 17 |
| `desktop.tsx` | 18 |
| `desktop.rne.ts` | 19 |
| `desktop.ts` | 20 |
| `windows.rne.jsx` | 21 |
| `windows.jsx` | 22 |
| `windows.rne.js` | 23 |
| `windows.js` | 24 |
| `windows.rne.tsx` | 25 |
| `windows.tsx` | 26 |
| `windows.rne.ts` | 27 |
| `windows.ts` | 28 |
| `desktop.web.rne.jsx` | 29 |
| `desktop.web.jsx` | 30 |
| `desktop.web.rne.js` | 31 |
| `desktop.web.js` | 32 |
| `desktop.web.rne.tsx` | 33 |
| `desktop.web.tsx` | 34 |
| `desktop.web.rne.ts` | 35 |
| `desktop.web.ts` | 36 |
| `electron.rne.jsx` | 37 |
| `electron.jsx` | 38 |
| `electron.rne.js` | 39 |
| `electron.js` | 40 |
| `electron.rne.tsx` | 41 |
| `electron.tsx` | 42 |
| `electron.rne.ts` | 43 |
| `electron.ts` | 44 |
| `web.rne.jsx` | 45 |
| `web.jsx` | 46 |
| `web.rne.js` | 47 |
| `web.js` | 48 |
| `web.rne.tsx` | 49 |
| `web.tsx` | 50 |
| `web.rne.ts` | 51 |
| `web.ts` | 52 |
| `jsx` | 53 |
| `js` | 54 |
| `tsx` | 55 |
| `ts` | 56 |
| `mjs` | 57 |
| `json` | 58 |
| `wasm` | 59 |



<!--AUTO_GENERATED_END-->
