---
id: version-0.32-engine-rn-web
title: React Native Web Engine
sidebar_label: React Native Web
original_id: engine-rn-web
---

<img src="https://renative.org/img/ic_engine.png" width=50 height=50 />

<!--AUTO_GENERATED_START-->


## Overview

React native based engine with web transpiler provided by react-native-web

## Supported Platforms

[web](platforms/web.md), [chromecast](platforms/chromecast.md), [tizen](platforms/tizen.md), [webtv](platforms/webtv.md), [tizenmobile](platforms/tizenmobile.md), [tizenwatch](platforms/tizenwatch.md), [webos](platforms/webos.md), [firefoxos](platforms/firefoxos.md), [firefoxtv](platforms/firefoxtv.md), [kaios](platforms/kaios.md)

## Required Plugins

[react](../plugins#react), [react-art](../plugins#react-art), [react-dom](../plugins#react-dom), [react-native](../plugins#react-native), [react-native-web](../plugins#react-native-web), [@react-native-community/cli-platform-ios](../plugins#react-native-communitycli-platform-ios), [@react-native-community/cli](../plugins#react-native-communitycli)

## Required NPM Packages























## Extensions

### web

| Extension | Priority  |
      | --------- | :-------: |
| `engine-rn-web.jsx` | 1 |
| `engine-rn-web.js` | 2 |
| `engine-rn-web.tsx` | 3 |
| `engine-rn-web.ts` | 4 |
| `web.browser.jsx` | 5 |
| `web.browser.js` | 6 |
| `web.browser.tsx` | 7 |
| `web.browser.ts` | 8 |
| `browser.jsx` | 9 |
| `browser.js` | 10 |
| `browser.tsx` | 11 |
| `browser.ts` | 12 |
| `browser.web.jsx` | 13 |
| `browser.web.js` | 14 |
| `browser.web.tsx` | 15 |
| `browser.web.ts` | 16 |
| `web.jsx` | 17 |
| `web.js` | 18 |
| `web.tsx` | 19 |
| `web.ts` | 20 |
| `jsx` | 21 |
| `js` | 22 |
| `tsx` | 23 |
| `ts` | 24 |
| `mjs` | 25 |
| `json` | 26 |
| `wasm` | 27 |
### chromecast

| Extension | Priority  |
      | --------- | :-------: |
| `engine-rn-web.jsx` | 1 |
| `engine-rn-web.js` | 2 |
| `engine-rn-web.tsx` | 3 |
| `engine-rn-web.ts` | 4 |
| `chromecast.tv.jsx` | 5 |
| `chromecast.tv.js` | 6 |
| `chromecast.tv.tsx` | 7 |
| `chromecast.tv.ts` | 8 |
| `web.tv.jsx` | 9 |
| `web.tv.js` | 10 |
| `web.tv.tsx` | 11 |
| `web.tv.ts` | 12 |
| `tv.jsx` | 13 |
| `tv.js` | 14 |
| `tv.tsx` | 15 |
| `tv.ts` | 16 |
| `chromecast.jsx` | 17 |
| `chromecast.js` | 18 |
| `chromecast.tsx` | 19 |
| `chromecast.ts` | 20 |
| `tv.web.jsx` | 21 |
| `tv.web.js` | 22 |
| `tv.web.tsx` | 23 |
| `tv.web.ts` | 24 |
| `web.jsx` | 25 |
| `web.js` | 26 |
| `web.tsx` | 27 |
| `web.ts` | 28 |
| `jsx` | 29 |
| `js` | 30 |
| `tsx` | 31 |
| `ts` | 32 |
| `mjs` | 33 |
| `json` | 34 |
| `wasm` | 35 |
### tizen

| Extension | Priority  |
      | --------- | :-------: |
| `engine-rn-web.jsx` | 1 |
| `engine-rn-web.js` | 2 |
| `engine-rn-web.tsx` | 3 |
| `engine-rn-web.ts` | 4 |
| `tizen.tv.jsx` | 5 |
| `tizen.tv.js` | 6 |
| `tizen.tv.tsx` | 7 |
| `tizen.tv.ts` | 8 |
| `web.tv.jsx` | 9 |
| `web.tv.js` | 10 |
| `web.tv.tsx` | 11 |
| `web.tv.ts` | 12 |
| `tv.jsx` | 13 |
| `tv.js` | 14 |
| `tv.tsx` | 15 |
| `tv.ts` | 16 |
| `tizen.jsx` | 17 |
| `tizen.js` | 18 |
| `tizen.tsx` | 19 |
| `tizen.ts` | 20 |
| `tv.web.jsx` | 21 |
| `tv.web.js` | 22 |
| `tv.web.tsx` | 23 |
| `tv.web.ts` | 24 |
| `web.jsx` | 25 |
| `web.js` | 26 |
| `web.tsx` | 27 |
| `web.ts` | 28 |
| `jsx` | 29 |
| `js` | 30 |
| `tsx` | 31 |
| `ts` | 32 |
| `mjs` | 33 |
| `json` | 34 |
| `wasm` | 35 |
### webtv

| Extension | Priority  |
      | --------- | :-------: |
| `engine-rn-web.jsx` | 1 |
| `engine-rn-web.js` | 2 |
| `engine-rn-web.tsx` | 3 |
| `engine-rn-web.ts` | 4 |
| `webtv.tv.jsx` | 5 |
| `webtv.tv.js` | 6 |
| `webtv.tv.tsx` | 7 |
| `webtv.tv.ts` | 8 |
| `web.tv.jsx` | 9 |
| `web.tv.js` | 10 |
| `web.tv.tsx` | 11 |
| `web.tv.ts` | 12 |
| `tv.jsx` | 13 |
| `tv.js` | 14 |
| `tv.tsx` | 15 |
| `tv.ts` | 16 |
| `webtv.jsx` | 17 |
| `webtv.js` | 18 |
| `webtv.tsx` | 19 |
| `webtv.ts` | 20 |
| `tv.web.jsx` | 21 |
| `tv.web.js` | 22 |
| `tv.web.tsx` | 23 |
| `tv.web.ts` | 24 |
| `web.jsx` | 25 |
| `web.js` | 26 |
| `web.tsx` | 27 |
| `web.ts` | 28 |
| `jsx` | 29 |
| `js` | 30 |
| `tsx` | 31 |
| `ts` | 32 |
| `mjs` | 33 |
| `json` | 34 |
| `wasm` | 35 |
### tizenmobile

| Extension | Priority  |
      | --------- | :-------: |
| `engine-rn-web.jsx` | 1 |
| `engine-rn-web.js` | 2 |
| `engine-rn-web.tsx` | 3 |
| `engine-rn-web.ts` | 4 |
| `tizenmobile.mobile.jsx` | 5 |
| `tizenmobile.mobile.js` | 6 |
| `tizenmobile.mobile.tsx` | 7 |
| `tizenmobile.mobile.ts` | 8 |
| `mobile.jsx` | 9 |
| `mobile.js` | 10 |
| `mobile.tsx` | 11 |
| `mobile.ts` | 12 |
| `tizenmobile.jsx` | 13 |
| `tizenmobile.js` | 14 |
| `tizenmobile.tsx` | 15 |
| `tizenmobile.ts` | 16 |
| `mobile.web.jsx` | 17 |
| `mobile.web.js` | 18 |
| `mobile.web.tsx` | 19 |
| `mobile.web.ts` | 20 |
| `native.jsx` | 21 |
| `native.js` | 22 |
| `native.tsx` | 23 |
| `native.ts` | 24 |
| `jsx` | 25 |
| `js` | 26 |
| `tsx` | 27 |
| `ts` | 28 |
| `mjs` | 29 |
| `json` | 30 |
| `wasm` | 31 |
### tizenwatch

| Extension | Priority  |
      | --------- | :-------: |
| `engine-rn-web.jsx` | 1 |
| `engine-rn-web.js` | 2 |
| `engine-rn-web.tsx` | 3 |
| `engine-rn-web.ts` | 4 |
| `tizenwatch.watch.jsx` | 5 |
| `tizenwatch.watch.js` | 6 |
| `tizenwatch.watch.tsx` | 7 |
| `tizenwatch.watch.ts` | 8 |
| `web.watch.jsx` | 9 |
| `web.watch.js` | 10 |
| `web.watch.tsx` | 11 |
| `web.watch.ts` | 12 |
| `watch.jsx` | 13 |
| `watch.js` | 14 |
| `watch.tsx` | 15 |
| `watch.ts` | 16 |
| `tizenwatch.jsx` | 17 |
| `tizenwatch.js` | 18 |
| `tizenwatch.tsx` | 19 |
| `tizenwatch.ts` | 20 |
| `watch.web.jsx` | 21 |
| `watch.web.js` | 22 |
| `watch.web.tsx` | 23 |
| `watch.web.ts` | 24 |
| `web.jsx` | 25 |
| `web.js` | 26 |
| `web.tsx` | 27 |
| `web.ts` | 28 |
| `jsx` | 29 |
| `js` | 30 |
| `tsx` | 31 |
| `ts` | 32 |
| `mjs` | 33 |
| `json` | 34 |
| `wasm` | 35 |
### webos

| Extension | Priority  |
      | --------- | :-------: |
| `engine-rn-web.jsx` | 1 |
| `engine-rn-web.js` | 2 |
| `engine-rn-web.tsx` | 3 |
| `engine-rn-web.ts` | 4 |
| `webos.tv.jsx` | 5 |
| `webos.tv.js` | 6 |
| `webos.tv.tsx` | 7 |
| `webos.tv.ts` | 8 |
| `web.tv.jsx` | 9 |
| `web.tv.js` | 10 |
| `web.tv.tsx` | 11 |
| `web.tv.ts` | 12 |
| `tv.jsx` | 13 |
| `tv.js` | 14 |
| `tv.tsx` | 15 |
| `tv.ts` | 16 |
| `webos.jsx` | 17 |
| `webos.js` | 18 |
| `webos.tsx` | 19 |
| `webos.ts` | 20 |
| `tv.web.jsx` | 21 |
| `tv.web.js` | 22 |
| `tv.web.tsx` | 23 |
| `tv.web.ts` | 24 |
| `web.jsx` | 25 |
| `web.js` | 26 |
| `web.tsx` | 27 |
| `web.ts` | 28 |
| `jsx` | 29 |
| `js` | 30 |
| `tsx` | 31 |
| `ts` | 32 |
| `mjs` | 33 |
| `json` | 34 |
| `wasm` | 35 |
### firefoxos

| Extension | Priority  |
      | --------- | :-------: |
| `engine-rn-web.jsx` | 1 |
| `engine-rn-web.js` | 2 |
| `engine-rn-web.tsx` | 3 |
| `engine-rn-web.ts` | 4 |
| `firefoxos.mobile.jsx` | 5 |
| `firefoxos.mobile.js` | 6 |
| `firefoxos.mobile.tsx` | 7 |
| `firefoxos.mobile.ts` | 8 |
| `mobile.jsx` | 9 |
| `mobile.js` | 10 |
| `mobile.tsx` | 11 |
| `mobile.ts` | 12 |
| `firefoxos.jsx` | 13 |
| `firefoxos.js` | 14 |
| `firefoxos.tsx` | 15 |
| `firefoxos.ts` | 16 |
| `mobile.web.jsx` | 17 |
| `mobile.web.js` | 18 |
| `mobile.web.tsx` | 19 |
| `mobile.web.ts` | 20 |
| `native.jsx` | 21 |
| `native.js` | 22 |
| `native.tsx` | 23 |
| `native.ts` | 24 |
| `jsx` | 25 |
| `js` | 26 |
| `tsx` | 27 |
| `ts` | 28 |
| `mjs` | 29 |
| `json` | 30 |
| `wasm` | 31 |
### firefoxtv

| Extension | Priority  |
      | --------- | :-------: |
| `engine-rn-web.jsx` | 1 |
| `engine-rn-web.js` | 2 |
| `engine-rn-web.tsx` | 3 |
| `engine-rn-web.ts` | 4 |
| `firefoxtv.tv.jsx` | 5 |
| `firefoxtv.tv.js` | 6 |
| `firefoxtv.tv.tsx` | 7 |
| `firefoxtv.tv.ts` | 8 |
| `web.tv.jsx` | 9 |
| `web.tv.js` | 10 |
| `web.tv.tsx` | 11 |
| `web.tv.ts` | 12 |
| `tv.jsx` | 13 |
| `tv.js` | 14 |
| `tv.tsx` | 15 |
| `tv.ts` | 16 |
| `firefoxtv.jsx` | 17 |
| `firefoxtv.js` | 18 |
| `firefoxtv.tsx` | 19 |
| `firefoxtv.ts` | 20 |
| `tv.web.jsx` | 21 |
| `tv.web.js` | 22 |
| `tv.web.tsx` | 23 |
| `tv.web.ts` | 24 |
| `web.jsx` | 25 |
| `web.js` | 26 |
| `web.tsx` | 27 |
| `web.ts` | 28 |
| `jsx` | 29 |
| `js` | 30 |
| `tsx` | 31 |
| `ts` | 32 |
| `mjs` | 33 |
| `json` | 34 |
| `wasm` | 35 |
### kaios

| Extension | Priority  |
      | --------- | :-------: |
| `engine-rn-web.jsx` | 1 |
| `engine-rn-web.js` | 2 |
| `engine-rn-web.tsx` | 3 |
| `engine-rn-web.ts` | 4 |
| `kaios.mobile.jsx` | 5 |
| `kaios.mobile.js` | 6 |
| `kaios.mobile.tsx` | 7 |
| `kaios.mobile.ts` | 8 |
| `mobile.jsx` | 9 |
| `mobile.js` | 10 |
| `mobile.tsx` | 11 |
| `mobile.ts` | 12 |
| `kaios.jsx` | 13 |
| `kaios.js` | 14 |
| `kaios.tsx` | 15 |
| `kaios.ts` | 16 |
| `mobile.web.jsx` | 17 |
| `mobile.web.js` | 18 |
| `mobile.web.tsx` | 19 |
| `mobile.web.ts` | 20 |
| `native.jsx` | 21 |
| `native.js` | 22 |
| `native.tsx` | 23 |
| `native.ts` | 24 |
| `jsx` | 25 |
| `js` | 26 |
| `tsx` | 27 |
| `ts` | 28 |
| `mjs` | 29 |
| `json` | 30 |
| `wasm` | 31 |



<!--AUTO_GENERATED_END-->
